<template>
	<view class="content">
		<rich-text :nodes="textData.text"></rich-text>
	</view>
</template>

<script>
import request from '../../utils/request'
	export default {
		data() {
			return {
				textData: {}
			}
		},
		onLoad(options) {
			if(options.type) {
				this.getXieyi(options.type)
			}
		},
		methods: {
			getXieyi(type) {
				request.post('/user/getsystemtext',{type}).then(res=>{
					this.textData = res.data;
				})
			}
		}
	}
</script>

<style>
.content {
	padding: 32rpx 20rpx;
	box-sizing: border-box;
}
</style>
